Package org.codehaus.groovy.classgen.asm

# Class OptimizingStatementWriter.StatementMeta

java.lang.Object
org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.StatementMeta

Enclosing class:
  OptimizingStatementWriter

public static class OptimizingStatementWriter.StatementMeta extends Object
Stores optimization metadata collected for a statement or expression.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected VariableExpression`
  `declaredVariableExpression`
  Variable declaration extracted from the annotated statement, if any.
  `protected boolean[]`
  `involvedTypes`
  Primitive categories involved in the annotated node.
  `protected MethodNode`
  `target`
  Direct-call target selected for the annotated node.
  `protected ClassNode`
  `type`
  Resolved result type for the annotated node.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatementMeta()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `chainInvolvedTypes(org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.OptimizeFlagsCollector opt)`
  Merges the involved primitive categories from the supplied collector.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    protected ClassNode type
    Resolved result type for the annotated node.

  - ### target

    protected MethodNode target
    Direct-call target selected for the annotated node.

  - ### declaredVariableExpression

    protected VariableExpression declaredVariableExpression
    Variable declaration extracted from the annotated statement, if any.

  - ### involvedTypes

    protected boolean[] involvedTypes
    Primitive categories involved in the annotated node.

- ## Constructor Details

  - ### StatementMeta

    public StatementMeta()

- ## Method Details

  - ### chainInvolvedTypes

    public void chainInvolvedTypes(org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.OptimizeFlagsCollector opt)
    Merges the involved primitive categories from the supplied collector.
    Parameters:
      `opt` - the collector to merge from

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`